Lấy trạng thái tác vụ video
curl --request GET \
--url https://api.aiid.edu.kg/v1/videos/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aiid.edu.kg/v1/videos/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aiid.edu.kg/v1/videos/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "sora-2-123456",
"object": "video",
"model": "sora-2",
"status": "queued",
"progress": 0,
"created_at": 1764347090922,
"seconds": "8"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}Định dạng tương thích Sora cho tạo video
Lấy trạng thái tác vụ video
OpenAI Giao diện truy vấn trạng thái tác vụ video tương thích.
Trả về thông tin trạng thái chi tiết của tác vụ video.
GET
/
v1
/
videos
/
{task_id}
Lấy trạng thái tác vụ video
Ủy quyền
Sử dụng xác thực Bearer Token.
Định dạng: Authorization: Bearer sk-xxxxxx
Tham số đường dẫn
ID tác vụ video
Phản hồi
Lấy trạng thái tác vụ video thành công
Địa chỉ URL của video kết quả. Các mô hình khác nhau có thể trả về video_url hoặc url, chọn một trong hai.
Địa chỉ URL của video kết quả. Các mô hình khác nhau có thể trả về url hoặc video_url, chọn một trong hai.
Thời gian hoàn tất (giây Unix).
Thời gian hết hạn của kết quả (Unix giây).
Thông báo lỗi khi thất bại.
Siêu dữ liệu bổ sung.
